{"openapi":"3.0.1","info":{"title":"24Seven Recycler Report Services","description":"Environment: Development  \r\nRelease: 2019.01","termsOfService":"http://www.brinks.com/en/public/brinks-us/terms-of-use","contact":{"name":"Enterprise Integration Team","email":"Support.GlobalIntegration@brinksinc.com"},"license":{"name":"Copyright 2021, Brink's Inc. All rights reserved."},"version":"v1.0"},"servers":[{"url":"http://nausplnapd058:8082/api/24Seven/RecyclerReports"}],"paths":{"/v{version}/TransactionDetails":{"post":{"tags":["Recycler"],"parameters":[{"name":"version","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DeviceTransactionRequestModel"}}}},"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DeviceTransactionReponseModel"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DeviceTransactionReponseModel"}}}}}}}},"components":{"schemas":{"DenomDetails":{"type":"object","properties":{"recyclerBalances":{"type":"array","items":{"$ref":"#/components/schemas/Denomination"},"nullable":true},"depositBalances":{"type":"array","items":{"$ref":"#/components/schemas/Denomination"},"nullable":true},"recyclerMovements":{"type":"array","items":{"$ref":"#/components/schemas/Denomination"},"nullable":true},"depositMovements":{"type":"array","items":{"$ref":"#/components/schemas/Denomination"},"nullable":true}},"additionalProperties":false},"Denomination":{"type":"object","properties":{"code":{"type":"string","nullable":true},"type":{"type":"string","nullable":true},"value":{"type":"string","nullable":true},"amount":{"type":"number","format":"double"},"count":{"type":"integer","format":"int32"},"multiples":{"type":"string","nullable":true},"condition":{"type":"string","nullable":true},"reference":{"type":"string","nullable":true}},"additionalProperties":false},"DeviceTransactionReponseModel":{"type":"object","properties":{"errorMessages":{"type":"array","items":{"$ref":"#/components/schemas/ErrorMessageModel"},"nullable":true},"results":{"type":"array","items":{"$ref":"#/components/schemas/DeviceTransactionReponsePayload"},"nullable":true}},"additionalProperties":false},"DeviceTransactionReponsePayload":{"type":"object","properties":{"transactionId":{"type":"string","nullable":true},"customerName":{"type":"string","nullable":true},"sectionName":{"type":"string","nullable":true},"locationName":{"type":"string","nullable":true},"locationNumber":{"type":"string","nullable":true},"bankName":{"type":"string","nullable":true},"bankAccountNumber":{"type":"string","nullable":true},"vaultName":{"type":"string","nullable":true},"bankRoutingNumber":{"type":"string","nullable":true},"deviceParentId":{"type":"string","nullable":true},"deviceSerialNumber":{"type":"string","nullable":true},"transactionType":{"type":"string","nullable":true},"transactionDateUtc":{"type":"string","format":"date-time"},"transactionReceiptDateUtc":{"type":"string","format":"date-time"},"transactionNumber":{"type":"string","nullable":true},"userId":{"type":"string","nullable":true},"workGroup":{"type":"string","nullable":true},"tillName":{"type":"string","nullable":true},"bagLabel":{"type":"string","nullable":true},"sealId":{"type":"string","nullable":true},"previousSealId":{"type":"string","nullable":true},"denomDetails":{"$ref":"#/components/schemas/DenomDetails"}},"additionalProperties":false},"DeviceTransactionRequestModel":{"required":["id","sender","timestampUtc","type","version"],"type":"object","properties":{"id":{"type":"string"},"type":{"type":"string"},"version":{"type":"string"},"timestampUtc":{"pattern":"(\\d{4})-(\\d{2})-(\\d{2})T(\\d{2}):(\\d{2}):(\\d{2})Z","type":"string"},"sender":{"$ref":"#/components/schemas/SendTo"},"payload":{"$ref":"#/components/schemas/DeviceTransactionRequestPayload"}},"additionalProperties":false},"DeviceTransactionRequestPayload":{"required":["transactionEndDate","transactionStartDate"],"type":"object","properties":{"transactionStartDate":{"pattern":"(\\d{4})-(\\d{2})-(\\d{2})","type":"string"},"transactionEndDate":{"pattern":"(\\d{4})-(\\d{2})-(\\d{2})","type":"string"},"customerName":{"type":"string","nullable":true},"customerLocationName":{"type":"string","nullable":true},"customerLocationId":{"type":"string","nullable":true},"deviceId":{"type":"string","nullable":true}},"additionalProperties":false},"ErrorMessageModel":{"type":"object","properties":{"code":{"type":"string","nullable":true},"error":{"type":"string","nullable":true}},"additionalProperties":false},"SendTo":{"required":["countryCode","id","name"],"type":"object","properties":{"id":{"type":"string"},"name":{"type":"string"},"countryCode":{"maxLength":3,"minLength":3,"type":"string"}},"additionalProperties":false}}}}